Bug 881868 - cloud-init: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
cloud-init: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cloud-init (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 881785
  Show dependency treegraph
 
Reported: 2012-11-29 12:33 EST by Michal Schmidt
Modified: 2013-10-18 15:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: cloud-init-0.7.2-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-18 15:54:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2012-11-29 12:33:19 EST
We're migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

For instance, in ./cloud-init-0.7.1/cloudinit/distros/rhel.py I found:

...
    clock_conf_fn = "/etc/sysconfig/clock"
    locale_conf_fn = '/etc/sysconfig/i18n'
    network_conf_fn = "/etc/sysconfig/network"
    hostname_conf_fn = "/etc/sysconfig/network"
...
    def _write_hostname(self, hostname, out_fn):
        host_cfg = {
            'HOSTNAME': hostname,
        }
        self._update_sysconfig_file(out_fn, host_cfg)
...


And fedora.py simply inherits from rhel.py.

Please update the package for the new config files.
Comment 1 Fedora Update System 2013-09-24 22:41:21 EDT
cloud-init-0.7.2-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cloud-init-0.7.2-6.fc20
Comment 2 Fedora Update System 2013-09-24 22:42:40 EDT
cloud-init-0.7.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cloud-init-0.7.2-6.fc19
Comment 3 Fedora Update System 2013-09-26 20:44:09 EDT
Package cloud-init-0.7.2-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cloud-init-0.7.2-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17724/cloud-init-0.7.2-7.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-26 21:19:38 EDT
cloud-init-0.7.2-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cloud-init-0.7.2-7.fc18
Comment 5 Fedora Update System 2013-10-15 02:28:19 EDT
cloud-init-0.7.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-10-18 15:45:53 EDT
cloud-init-0.7.2-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-18 15:54:00 EDT
cloud-init-0.7.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.